QGIS Application - Bug report #6732
No warning on project close action if labels have been moved, but not saved
2012-11-20 01:40 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: all Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15896
Description

Hi,

somewhat related to #6729, but not exactly. When moving a label with 'data defined labeling', no warning is raised when trying to close
project, or open a new one (or closing QGIS).

It works OK if moving editing the real geometry. Some signal seems to miss when using labeling toolbar though.

Quite annoying since users here lost some work several times

Régis

History

#1 - 2012-11-20 05:43 PM - Larry Shaffer

- Status changed from Open to Feedback

Hi,

| have implemented a version of this here:
https://github.com/qgis/Quantum-GIS/pull/333

'Add option to warn on project close if any layer is in edit mode with unsaved edits'

Please test to see if it works for the label move edit (or any other vector layer edit). Works for me here on Mac for fixing this issue.

#2 - 2012-11-20 08:43 PM - Larry Shaffer

Better implementation here:

https://github.com/qgis/Quantum-GIS/pull/334

#3 - 2012-11-23 02:23 PM - Larry Shaffer
- Resolution set to fixed

- Status changed from Feedback to Closed
- File unsaved-provider-edits.png added

Should be fixed with commit commit:21370d9

Reopen or start new issue, if needed. Attached is warning shown on project close if there are unsaved provider edits (e.g. label tool edits).
